import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { d as defineCustomElement$2 } from './p-ddea3d46.js';

const infoCardMultiContainerCss = ".sc-digi-info-card-multi-container-h .digi-info-card-multi-container__heading.sc-digi-info-card-multi-container{font-size:var(--digi--typography--heading-2--font-size--desktop);font-weight:var(--digi--typography--heading-2--font-weight--desktop);font-family:var(--digi--global--typography--font-family--default);line-height:var(--digi--typography--heading-2--line-height--desktop)}@media (min-width: 61.9375rem){.sc-digi-info-card-multi-container-h .digi-info-card-multi-container__heading.sc-digi-info-card-multi-container{font-size:var(--digi--typography--heading-2--font-size--desktop-large);font-weight:var(--digi--typography--heading-2--font-weight--desktop-large);line-height:var(--digi--typography--heading-2--line-height--desktop-large)}}.sc-digi-info-card-multi-container-h .digi-info-card-multi-container__content.sc-digi-info-card-multi-container{display:grid;grid-gap:10px;grid-template-columns:repeat(auto-fit, minmax(365px, 1fr))}";
const DigiInfoCardMultiContainerStyle0 = infoCardMultiContainerCss;

const InfoCardMultiContainer = /*@__PURE__*/ proxyCustomElement(class InfoCardMultiContainer extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afHeading = undefined;
        this.afHeadingLevel = undefined;
    }
    render() {
        return (h("div", { key: 'f1ab36682c5969e0bd557c77b216035d3418cdfd', class: "digi-info-card-multi-container" }, this.afHeading && this.afHeadingLevel && (h(this.afHeadingLevel, { key: 'ede81660e819ff2d4fb577f3856a26dec7db620f', class: "digi-info-card-multi-container__heading" }, this.afHeading)), h("digi-layout-columns", { key: '690ab40b10407912d3a21578129e8e3aae092c1a', "af-variation": "three" }, h("slot", { key: '0f57c2475c61e59823e62b8fd647f91942176e1b' }))));
    }
    static get style() { return DigiInfoCardMultiContainerStyle0; }
}, [6, "digi-info-card-multi-container", {
        "afHeading": [1, "af-heading"],
        "afHeadingLevel": [1, "af-heading-level"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-info-card-multi-container", "digi-layout-columns"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-info-card-multi-container":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, InfoCardMultiContainer);
            }
            break;
        case "digi-layout-columns":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DigiInfoCardMultiContainer = InfoCardMultiContainer;
const defineCustomElement = defineCustomElement$1;

export { DigiInfoCardMultiContainer, defineCustomElement };
